# $Revision: 1.24 $, $Date: 2010/10/10 23:33:03 $
%define 	modulename pam_krb5
Summary:	Kerberos V5 Pluggable Authentication Module
Summary(pl.UTF-8):	Moduł PAM do uwierzytelniania z użyciem Kerberos V5
Name:		pam-%{modulename}
Version:	4.3
Release:	1
Epoch:		1
License:	BSD v2 / GPL v2
Group:		Base
URL:		http://www.eyrie.org/~eagle/software/pam-krb5/
Source0:	http://archives.eyrie.org/software/kerberos/pam-krb5-%{version}.tar.gz
# Source0-md5:	f2ddf8b79e18b96e97d2820b1c2abcf8
BuildRequires:	automake
BuildRequires:	heimdal-devel
BuildRequires:	pam-devel
Obsoletes:	pam_krb5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
This is pam_krb5, a pluggable authentication module that can be used
with Linux-PAM and Kerberos V5. This module supports password
checking, ticket creation, and optional TGT verification and
conversion to Kerberos IV tickets if Kerberos V5 was built with
support for Kerberos IV.

%description -l pl.UTF-8
To jest pam_krb5, wymienny moduł uwierzytelniania, który może być
użyty z Linux-PAM i Kerberos V5. Moduł ten wspiera zmienianie haseł,
tworzenie biletów oraz opcjonalną weryfikację i konwersję TGT do
biletów Kerberos IV, w przypadku gdy Kerberos V5 został zbudowany ze
wsparciem dla Kerberos IV.

%prep
%setup -q -n pam-krb5-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_libdir}/security/pam_krb5.so
%{_mandir}/man5/pam_krb5.5*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_krb5.spec,v $
Revision 1.24  2010/10/10 23:33:03  baggins
- 4.3

Revision 1.23  2010/06/07 18:11:39  hawk
- release 3

Revision 1.22  2010/04/12 12:34:36  baggins
- rel 2

Revision 1.21  2009/12/14 12:03:24  baggins
- rel 3

Revision 1.20  2009/12/09 13:31:59  baggins
- rel 2

Revision 1.19  2009/11/24 13:13:36  baggins
- up to 4.1

Revision 1.18  2009/07/02 22:34:26  baggins
- rel 2
- build with heimdal unconditionally

Revision 1.17  2009/06/25 14:37:45  baggins
- added heimdal bcond

Revision 1.16  2009/03/26 10:24:35  glen
- switch away from redhat sources, seems at least maintained
- version 3.13
- not tested, but likely works oob ;)

Revision 1.15  2008/10/06 11:18:29  blues
- CVE security note

Revision 1.14  2007/03/31 22:09:51  baggins
- rel 4
- build with MIT kerberos by default

Revision 1.13  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.11  2005/07/08 18:06:22  arekm
- BR heimdal-devel >= 0.7

Revision 1.10  2004/11/04 13:10:53  paladine
- spaces->tabs
- cosmetics

Revision 1.9  2004/08/19 01:06:19  undefine
- release 2

Revision 1.8  2004/08/19 01:04:28  undefine
- specify pamdir

Revision 1.7  2004/08/19 00:53:25  undefine
- typo

Revision 1.6  2004/08/19 00:21:28  undefine
- copy config.sub

Revision 1.5  2004/07/29 22:02:37  qboosh
- fixed libdir

Revision 1.4  2003/11/28 09:38:33  qboosh
- Obsoletes for old name without macro

Revision 1.3  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.2  2003/11/25 14:12:43  siefca
- naming fixes in setup sections

Revision 1.1  2003/11/25 13:54:54  siefca
- leaded common naming conventions for PAM module packages

Revision 1.7  2003/10/06 00:20:39  pius
- cosmetics

Revision 1.6  2003/10/05 19:53:36  pius
- added patch with heimdal specific paths fixes
- added bcond for krb5 built-in parser (it doesn't compile though)

Revision 1.5  2003/10/05 18:54:27  pius
- updated %doc
- cosmetics

Revision 1.4  2003/10/05 18:42:53  pius
- updated to 1.3-rc7
- updated Source url
- fixed version handling

Revision 1.3  2003/10/05 18:21:08  pius
- added Epoch

Revision 1.2  2003/10/05 18:18:03  pius
- now using different sources; this is version of pam_krb5 originally based
  on Nalin Dahyabhai's pam_krb5-1.56 version, modified by Balazs Gal to work
  with heimdal as well; another advantage of this version is that it actually
  works
- added bcond_mit to build with MIT Kerberos5 (defaults to heimdal)
- s/byacc/bison/ for BuildRequires

Revision 1.1  2003/09/12 21:23:04  pius
- initial release 2.0.2-0.1
